package com.agentfactory.agentspeak.interpreter.control;

import java.util.List;

import com.agentfactory.agentspeak.interpreter.mentalstate.Commitment;

public class BasicCommitmentSelector implements ICommitmentSelector {
	private int index;
	
	public BasicCommitmentSelector() {
		index = -1;
	}
	
	@Override
	public Commitment select(List<Commitment> commitments) {
		// Assume commitments is not empty
		do {
			index = (index+1) % commitments.size();
		} while (commitments.get(index).isSuspended());
		
		return commitments.get(index);
	}

}
