package com.agentfactory.logic.update.lang;

import java.util.Set;

import com.agentfactory.logic.update.reasoner.Bindings;

public interface ITerm {
	public ITerm apply(Bindings set);
    public boolean containsVariable(Variable variable);
	public boolean isConstant();
	public boolean hasTerms();
    public boolean isDistinctFunction(ITerm term);
	public boolean isCompatibleFunction(ITerm term);
    public boolean isNotFunctional(ITerm term);
	public Set<Variable> getVariables();
	public boolean matches(ITerm term);
}
