package com.agentfactory.logic.update.util;

import com.agentfactory.logic.update.lang.IFormula;
import com.agentfactory.logic.update.lang.ITerm;
import com.agentfactory.logic.update.lang.Predicate;

public interface ILogicFactory {
	public IFormula createFormula(String fos);
	public ITerm createTerm(String fos);
	public Predicate convertToPredicate(ITerm term);
}
