package com.agentfactory.platform.core;

import java.util.Calendar;
import java.util.List;
/**
 * Implementation of a Frame as specified in the FIPA ALPHAAgent Message
 * Transport Service Standard.
 *
 * @author  Rem Collier
 */
public interface IEnvelope {
    public List<AgentID> getIntendedReceiver();
    public List<AgentID> getTo();
    public void setTo( List<AgentID> recipients );
    public AgentID getFrom();
    public void setFrom( AgentID sender );
    public String getAclRepresentation();
    public void setAclRepresentation( String aclRepresentation );
    public Calendar getDate();
    public void setDate( Calendar date );
    public String getPayloadEncoding();
    public void setPayloadEncoding( String payloadEncoding );
    public long getPayloadLength();
}
