package com.agentfactory.teleoreactive.core;

import com.agentfactory.logic.update.interpreter.Action;
import com.agentfactory.logic.update.lang.Predicate;
import com.agentfactory.teleoreactive.interpreter.Utilities;

public class BindToServiceAction extends Action {
	public boolean execute(Predicate activity) {
		String id = Utilities.presenter.toString(activity.termAt(0));
		if (agent.bindToPlatformService(id)) {
			return true;
		}
		return false;
	}
}
