package com.agentfactory.teleoreactive.debugger;

import com.agentfactory.platform.core.IAgent;
import com.agentfactory.visualiser.core.IStateManager;
import com.agentfactory.visualiser.core.IStateManagerFactory;

public class TeleoReactiveStateManagerFactory implements IStateManagerFactory {

	@Override
	public IStateManager createStateManager(IAgent agent) {
		IStateManager manager = new TeleoReactiveStateManager();
		manager.setAgent(agent);
		return manager;
	}

	public String getType() {
		return "AF-TeleoReactive";
	}
}
