/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.visualiser.impl;

import com.agentfactory.platform.core.IMessage;
import com.agentfactory.service.profiler.TraceEvent;
import com.agentfactory.visualiser.core.ISnapshot;
import java.util.LinkedList;
import java.util.List;
import java.util.Observable;
import java.util.Observer;

/**
 *
 * @author remcollier
 */
public class MessageStore extends Observable implements Observer {
    List<IMessage> messages;
    
    public MessageStore() {
        messages = new LinkedList<IMessage>();
    }
    
    public List<IMessage> getMessages() {
        return messages;
    }
    
    public void update(Observable o, Object arg) {
        if (TraceEvent.class.isInstance(arg)) {
            TraceEvent evt = (TraceEvent) arg;
            if (evt.getType().equals("message/send")) {
                messages.add((IMessage) ((TraceEvent) arg).getContext());
                setChanged();
                notifyObservers("new-messages");
            }
        }
    }
}
