package com.agentfactory.agentspeak.debugger;

import com.agentfactory.platform.core.IAgent;
import com.agentfactory.visualiser.core.IStateManager;
import com.agentfactory.visualiser.core.IStateManagerFactory;

public class AgentSpeakStateManagerFactory implements IStateManagerFactory {

	@Override
	public IStateManager createStateManager(IAgent agent) {
		IStateManager manager = new AgentSpeakStateManager();
		manager.setAgent(agent);
		return manager;
	}

	@Override
	public String getType() {
		return "AF-AgentSpeak";
	}
}
