package com.agentfactory.logic.update;

import com.agentfactory.logic.update.lang.IFormula;
import com.agentfactory.logic.update.util.DefaultLogicFactory;
import com.agentfactory.logic.update.util.DefaultLogicPresenter;
import com.agentfactory.logic.update.util.ILogicFactory;
import com.agentfactory.logic.update.util.ILogicPresenter;



public class TestMain {
	public static ILogicFactory factory = new DefaultLogicFactory();
	public static ILogicPresenter presenter = new DefaultLogicPresenter();

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		String f1 = "!(likes(rem, icecream) & !is(rem, happy))";
		IFormula formula = factory.createFormula(f1);
		System.out.println("Formula: " + presenter.toString(formula));
	}

}
