/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.platform.core;

import java.util.List;

/**
 *
 * @author remcollier
 */
public interface IAgentContainer {
    public void add(IAgent agent) throws DuplicateAgentNameException;
    public void remove(String name) throws NoSuchAgentException;
    public IAgent getAgentByName(String name) throws NoSuchAgentException;
    public IAgent[] agents();
    public IPlatformService bindToPlatformService(IAgent agent, String id);
    public List<IPlatformService> bindToMessageTransportServices(IAgent agent);
}
