package com.agentfactory.platform.core;

import java.util.Properties;

/**
 *
 * @author remcollier
 * @author daithi
 */
public interface IArchitectureFactory {
    public void configure(Properties configuration);
    public IAgent create(String name, Object design) throws AgentCreationException;
    public boolean filter( Object design );
}
